<html lang="en">
<head>
	<meta charset="utf-8">
	<title>Pemesanan Ruang Meeting</title>
  <link href="/assets/css/bootstrap.css" rel="stylesheet" type="text/css"/>
</head>
<body>
  <div class="container">
    <h2>Daftar Ruang Meeting</h2>
	<button class="btn btn-success" data-toggle="modal" data-target="#myModalAdd">Add Ruang Meeting</button>
    <table class="table table-striped" id="mytable">
      <thead>
        <tr>
          <th>ID</th>
          <th>Nama</th>
          <th>Lokasi</th>
          <th>Kapasitas</th>
          <th>Harga</th>
          <th>Action</th>
        </tr>
      </thead>
      <tbody>
         {{#each results}}
        <tr>
          <td>{{ id }}</td>
          <td>{{ nama }}</td>
          <td>{{ daerah }}</td>
          <td>{{ kapasitas}}</td>
          <td>{{ harga }}</td>
         
          <td>
            <a href="javascript:void(0);" class="btn btn-sm btn-info edit" data-cust_id="{{ cust_id }}" data-nama="{{ nama }}" data-alamat="{{ alamat }}" data-kode_post="{{ kode_post }}" data-no_hp="{{ no_hp }}" data-email="{{ email }}">Edit</a>
            <a href="javascript:void(0);" class="btn btn-sm btn-danger delete" data-cust_id="{{ cust_id }}">Delete</a>
          </td>
        </tr>
        {{/each}}
      </tbody>
    </table>
  </div>


	<!-- Add New Customer Modal-->
	  <form action="/save" method="post">
        <div class="modal fade" id="myModalAdd" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
         <div class="modal-dialog" role="document">
           <div class="modal-content">
             <div class="modal-header">
               <h5 class="modal-title" id="exampleModalLabel">Add New Ruang Meeting</h5>
               <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                 <span aria-hidden="true">&times;</span>
               </button>
             </div>
             <div class="modal-body">
               
               <div class="form-group">
                   <input type="text" name="nama" class="form-control" placeholder="Nama Ruang Meeting" required>
               </div>
               <div class="form-group">
                   <input type="text" name="daerah" class="form-control" placeholder="Lokasi Tempat" required>
               </div>

               <div class="form-group">
                   <input type="text" name="kapasitas" class="form-control" placeholder="Kapasitas" required>
               </div>
               <div class="form-group">
                   <input type="text" name="harga" class="form-control" placeholder="Harga" required>
               </div>

             </div>
             <div class="modal-footer">
               <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
               <button type="submit" class="btn btn-primary">Save</button>
             </div>
           </div>
         </div>
        </div>
	 </form>

<script src="/assets/js/jquery-3.5.1.js"></script>
<script src="/assets/js/bootstrap.js"></script>
<script>
    $(document).ready(function(){
			//showing data to modal for edit record
      $('#mytable').on('click','.edit',function(){
        var cust_id = $(this).data('cust_id');
        var nama = $(this).data('nama');
        var alamat = $(this).data('alamat');
        var kode_post = $(this).data('kode_post');
        var no_hp = $(this).data('no_hp');
        var email = $(this).data('email');

        $('#EditModal').modal('show');
        $('.cust_id').val(cust_id);
        $('.nama').val(nama);
        $('.alamat').val(alamat);
        $('.kode_post').val(kode_post);
        $('.no_hp').val(no_hp);
        $('.email').val(email);
      });
	     
         //showing modal for delete record
		$('#mytable').on('click','.delete',function(){
        var cust_id = $(this).data('cust_id');
        $('#DeleteModal').modal('show');
        $('.cust_id').val(cust_id);
      });

    });
</script>
</body>
</html>
